<odoo>
    <data>

        <!-- Main Form View -->
        <record id="view_sos_return_fg_form" model="ir.ui.view">
            <field name="name">sos.return.fg.form</field>
            <field name="model">sos_return_fg_register</field>
            <field name="arch" type="xml">
                <form string="Returned FG Register">
                    <sheet>
                    <group>
                        <group>
                            <field name="mrn_no"/>
                            <field name="date"/>
                            <field name="fg_name"/>
                            <field name="customer_name"/>
                            </group>
                            <group>
                            <field name="lot_no"/>
                            <field name="returned_quantity"/>
                            <field name="reason_for_return"/>
                        </group>
                        </group>
 

                    </sheet>
                </form>
            </field>
        </record>

        <!-- Tree View for sos_return_fir -->
        <record id="view_sos_return_fg_register_tree" model="ir.ui.view">
            <field name="name">sos.return.fg.tree</field>
            <field name="model">sos_return_fg_register</field>
            <field name="arch" type="xml">
                <tree string="Returned FG Register">
                    <field name="customer_name"/>
                    <field name="date"/>
                    <field name="fg_name"/>
                    <field name="lot_no"/>
                    <field name="returned_quantity"/>
                    <field name="reason_for_return"/>
                    <field name="write_uid" string="Last Edited By" optional="hide"/>
                <field name="write_date" string="Last Edited On" optional="hide"/>
                </tree>
            </field>
        </record>

        <!-- Action for the model sos_return_fir -->
        <record id="action_sos_return_fg" model="ir.actions.act_window">
            <field name="name">Retured FG Register</field>
            <field name="res_model">sos_return_fg_register</field>
            <field name="view_mode">tree,form</field>
        </record>

        <!-- Menuitem -->
        <menuitem id="menu_sos_return_fg" name="Returned FG Register" parent="cnp_forms_menu_root" action="action_sos_return_fg" groups="sos_inventory.sos_scg_group_user,sos_inventory.sos_qc_user,sos_inventory.sos_management_user"/>

    </data>
</odoo>
